summaryrefslogtreecommitdiff
path: root/SEL/run-paper-strong-rank.sh
diff options
context:
space:
mode:
authorDaniel Friesel <daniel.friesel@uos.de>2023-06-01 08:03:59 +0200
committerDaniel Friesel <daniel.friesel@uos.de>2023-06-01 08:03:59 +0200
commit7720bd5223c96c5f46efc9033ec023fc4038da46 (patch)
treedd3a199013dfc5ea583cf93f657dd9976c63ebe0 /SEL/run-paper-strong-rank.sh
parent0540fa9e26e2c8e7e11fcf3e5444e4981f811e1c (diff)
port SEL NMC to dfatool
Diffstat (limited to 'SEL/run-paper-strong-rank.sh')
-rwxr-xr-xSEL/run-paper-strong-rank.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/SEL/run-paper-strong-rank.sh b/SEL/run-paper-strong-rank.sh
new file mode 100755
index 0000000..6cffd65
--- /dev/null
+++ b/SEL/run-paper-strong-rank.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+set -e
+
+# BL: use 2^(BL) B blocks for MRAM <-> WRAM transfers on PIM module
+# T: data type
+# -w: number of un-timed warmup iterations
+# -e: number of timed iterations
+# -i; ignored, always uses 262144 elements
+
+(
+
+echo "prim-benchmarks UNI strong-rank (dfatool edition)"
+echo "Started at $(date)"
+echo "Revision $(git describe --always)"
+
+# 256 and 512 are not part of upstream config space
+for nr_dpus in 512 256 1 4 16 64; do
+ for nr_tasklets in 1 2 4 8 16; do
+ echo
+ if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10; then
+ timeout --foreground -k 1m 30m bin/host_code -w 0 -e 100 -i 3932160 -x 1 || true
+ fi
+ done
+done
+) | tee log-paper-strong-rank.txt